package com.qmth.distributed.print.business.service;

/**
 * @Description: activiti service
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/7/12
 */
public interface ActivitiService {

    /**
     * 创建流程
     *
     * @param processFileName
     */
    void createDeployment(String processFileName);

    /**
     * 启动流程
     *
     * @param processKey
     */
    void startActivityDemo(String processKey);

    /**
     * 获取任务列表
     */
    void getTaskList();

    /**
     * 完成流程
     *
     * @param taskId
     */
    void complete(String taskId);

    /**
     * 删除流程
     *
     * @param flowId
     */
    void deleteProcessInstance(String flowId);
}
